// PlugRegUtil.h: interface for the PlugRegUtil class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PlugRegUtil_H__2B383B58_4657_4B78_BD60_2BA5485C8731__INCLUDED_)
#define AFX_PlugRegUtil_H__2B383B58_4657_4B78_BD60_2BA5485C8731__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class PlugRegUtil  
{
public:
	static BOOL ReadAmlPagesExePath(LPTSTR lpszPath, const int nMaxSymbols);
	static BOOL ReadValue(LPCTSTR lpszRegPath, LPCTSTR lpszValueName, LPTSTR lpszValue, const int nMaxBytes);
	static BOOL WriteValueFromAmlPages(LPCTSTR lpszKeyName, LPCTSTR lpszValueName, LPCTSTR lpszValue);
	static BOOL ReadValueFromAmlPages(LPCTSTR lpszKeyName, LPCTSTR lpszValueName, LPTSTR szValue, const UINT nMaxValueBytes);
	static BOOL WriteValueFromAmlPages(LPCTSTR lpszKeyName, LPCTSTR lpszValueName, const BOOL bValue);
	static BOOL ReadValueFromAmlPages(LPCTSTR lpszKeyName, LPCTSTR lpszValueName, const BOOL bDefaultValue);
	static BOOL WriteValue(LPCTSTR lpszRegPath, LPCTSTR lpszValueName, const BOOL bValue);
	static BOOL ReadValue(LPCTSTR lpszRegPath, LPCTSTR lpszValueName, const BOOL bDefaultValue);
};

#endif // !defined(AFX_PlugRegUtil_H__2B383B58_4657_4B78_BD60_2BA5485C8731__INCLUDED_)
